# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_MechanicalDesignGeometricPresentationRepresentation Class Reference

`#include <StepVisual_MechanicalDesignGeometricPresentationRepresentation.hxx>`

Inheritance diagram for StepVisual_MechanicalDesignGeometricPresentationRepresentation:

[legend]

## Public Member Functions

Standard_EXPORT | StepVisual_MechanicalDesignGeometricPresentationRepresentation ()
| Returns a MechanicalDesignGeometricPresentationRepresentation .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_MechanicalDesignGeometricPresentationRepresentation::StepVisual_MechanicalDesignGeometricPresentationRepresentation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepVisual_MechanicalDesignGeometricPresentationRepresentation::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepVisual_PresentationRepresentation.

The documentation for this class was generated from the following file:

- StepVisual_MechanicalDesignGeometricPresentationRepresentation.hxx